<?php
/*
 * Copyright(c) 2015 PAYDESIGN, Inc. All rights reserved.
 * http://www.paydesign.co.jp/
 */

namespace Plugin\PayDesign\Entity;

/**
 * Information about card order about PayDesign Plugin
 */
class PayDesignCardOrder extends \Eccube\Entity\AbstractEntity {

    /**
     * @var integer
     */
    private $id;

    /**
     * @var string
     */
    private $card_order_sid;

    /**
     * @var integer
     */
    private $customer_id;

    /**
     * @var integer
     */
    private $card_kind;

    /**
     * @var integer
     */
    private $card_order_status;

    /**
     * @var string
     */
    private $card_ip_user_id;

    /**
     * @var \DateTime
     */
    private $create_date;

    /**
     * @var \DateTime
     */
    private $update_date;

    /**
     * @var integer
     */
    private $del_flg;

    /**
     * Constructor
     */
    public function __construct()
    {
    }

    /**
     * Set id (card_order_id)
     *
     * @param  integer $id
     * @return Module
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get id (card_order_id)
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set card_order_sid
     *
     * @param  string $card_order_sid
     * @return Module
     */
    public function setCardOrderSid($card_order_sid)
    {
        $this->card_order_sid = $card_order_sid;

        return $this;
    }

    /**
     * Get card_order_sid
     *
     * @return string
     */
    public function getCardOrderSid()
    {
        return $this->card_order_sid;
    }

    /**
     * Set customer_id
     *
     * @param  integer $customer_id
     * @return Module
     */
    public function setCustomerId($customer_id)
    {
        $this->customer_id = $customer_id;

        return $this;
    }

    /**
     * Get customer_id
     *
     * @return integer
     */
    public function getCustomerId()
    {
        return $this->customer_id;
    }

    /**
     * Set card_kind
     *
     * @param  integer $card_kind
     * @return Module
     */
    public function setCardKind($card_kind)
    {
        $this->card_kind = $card_kind;

        return $this;
    }

    /**
     * Get card_kind
     *
     * @return integer
     */
    public function getCardKind()
    {
        return $this->card_kind;
    }

    /**
     * Set card_order_status
     *
     * @param  integer $card_order_status
     * @return Module
     */
    public function setCardOrderStatus($card_order_status)
    {
        $this->card_order_status = $card_order_status;

        return $this;
    }

    /**
     * Get card_order_status
     *
     * @return integer
     */
    public function getCardOrderStatus()
    {
        return $this->card_order_status;
    }

    /**
     * Set card_ip_user_id
     *
     * @param  string $card_ip_user_id
     * @return Module
     */
    public function setCardIpUserId($card_ip_user_id)
    {
        $this->card_ip_user_id = $card_ip_user_id;

        return $this;
    }

    /**
     * Get card_ip_user_id
     *
     * @return string
     */
    public function getCardIpUserId()
    {
        return $this->card_ip_user_id;
    }

    /**
     * Set create_date
     *
     * @param  \DateTime $createDate
     * @return Payment
     */
    public function setCreateDate($createDate)
    {
        $this->create_date = $createDate;

        return $this;
    }

    /**
     * Get create_date
     *
     * @return \DateTime
     */
    public function getCreateDate()
    {
        return $this->create_date;
    }

    /**
     * Set update_date
     *
     * @param  \DateTime $updateDate
     * @return Payment
     */
    public function setUpdateDate($updateDate)
    {
        $this->update_date = $updateDate;

        return $this;
    }

    /**
     * Get update_date
     *
     * @return \DateTime
     */
    public function getUpdateDate()
    {
        return $this->update_date;
    }

    /**
     * Set del_flg
     *
     * @param  integer $delFlg
     * @return Payment
     */
    public function setDelFlg($delFlg)
    {
        $this->del_flg = $delFlg;

        return $this;
    }

    /**
     * Get del_flg
     *
     * @return integer
     */
    public function getDelFlg()
    {
        return $this->del_flg;
    }
}
?>
